
Figure - Bug #118951
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110894 (New): AF-V1.0功能测试-屏保

【AF】【EVT】【屏保】OTA升级后出现，部分设备屏保资源未更新
2023-07-01 10:56 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-07-01

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 116版本

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-07-04

Test Type: ST Root cause: 编码问题

Description

【前提条件】

设备已开机

【测试步骤】

1、进入设置-显示-屏保

2、查看系统屏保

3、选择其中一个屏保应用

【预期结果】

2、三台设备都更新了资源

3、设置屏保为正常新资源

【实际结果】

2、三台设备中两台未更新屏保资源

3、未更新资源设备显示为车

【备注】

三台中其中一台设备系统屏保显示为车，应用第一个屏保显示为车，应用第二个屏保显示为新资源图片

History

#1 - 2023-07-03 11:34 - CD APP-王宏

- Status changed from New to NEED_INFO

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

■ Current conclusion

分析中

■ My analysis

初步判定为图片缓存,另外根据 覃刚 所说，该版本以前的还未装车，用户拿到的肯定是最新的版本，

我们这边不需要做调整

■ Next action

麻烦刷一个最新的版本，不要通过OTA升级，检查屏保是否展示正常，确认正常后还请关闭
#2 - 2023-07-03 14:35 - CDTS_Test 吴诗雨

- Assignee changed from CDTS_Test 吴诗雨 to CD TPM-王祥林

经确认，从低版本Qfil刷上来也是同样的情况，系统屏保图片未更新，应用后与图片不符，恢复出厂设置后正常。

请判断是否需要针对OTA升级后的情况进行处理

#3 - 2023-07-03 14:46 - CD TPM-王祥林

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD TPM-王祥林 to CD APP-王宏

王宏

需要处理一下，虽然最终用户拿到的新车不会有问题。但之前出去了测试车，展车，试驾车这些都是旧版本，还是要保证这些车升到新版本后没有问题

。

#4 - 2023-07-03 18:12 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

已提交

■ My analysis

根据现象判断是图片加载框架的缓存问题，

其次，在屏保展示页检查该图片是否存在，不存在则加载默认屏保(确保更换图片后不展示原先的屏保图片)

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/211939

#5 - 2023-07-03 19:49 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

211939 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:ScreenSaver:Fixed pic cache issueTC-RID: 1201-0300603IssueID: TS-R-BUG-118951Change-Id: Ifed14af400da54db31d123074c042dd7e6e2a4f8

#6 - 2023-07-03 19:54 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-07-04

- Root cause set to 编码问题

#7 - 2023-07-04 15:30 - CDTS_Test 吴诗雨
- Status changed from RESOLVED to VERIFIED

刷机112版本，恢复出厂设置后，ota升级为0704DB，设备屏保更新，验证通过。

#8 - 2023-07-04 15:31 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

#9 - 2023-07-04 15:54 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

212126 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF:ScreenSaver:Fixed pic cache issueTC-RID: 1201-0300603IssueID: TS-R-BUG-118951Change-Id: Ifed14af400da54db31d123074c042dd7e6e2a4f8(cherry

picked from commit b165dfdb054401fc92b40779d979ae66dbf0f61e)

#10 - 2023-07-05 16:34 - CDTS_Test 吴诗雨

119版本，验证通过

Files

20230701-105557.mp4 3.19 MB 2023-07-01 CDTS_Test 吴诗雨
